# class Chef::Provider::Package::Yum::RPMDbPackage

### Attributes

available[R]
installed[R]
repoid[R]

### Public Class Methods

new(*args) click to toggle source

<rpm parts>, installed, available

Calls superclass method Chef::Provider::Package::Yum::RPMPackage.new

    # File lib/chef/provider/package/yum.rb, line 501
    def initialize(*args)
      @repoid = args.pop
      # state
      @available = args.pop
      @installed = args.pop
      super(*args)
    end